"{ Package: 'stx:libtool' }"

"{ NameSpace: Tools }"

Toolbox subclass:#GenericToolbox
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Interface-Tools'
!

!GenericToolbox class methodsFor:'documentation'!

documentation
"
    A generic toolbox for languages that compiles into Smalltalk/X bytecode.
    Although it's a good idea to provide specialized toolbox each of those
    languages, GenericToolbox is a good basis.

    A GenericToolbox is also a default toolbox if ProgrammingLanguage does
    not specify one.

    [author:]
        Jan Vrany <jan.vrany@fit.cvut.cz>

    [instance variables:]

    [class variables:]

    [see also:]
        Tools::Toolbox
        Tools::SmalltalkToolbox
        Tools::JavaToolbox
        ProgrammingLanguage
"
! !

!GenericToolbox class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libtool/Tools__GenericToolbox.st,v 1.1 2014-02-24 16:10:46 vrany Exp $'
!

version_CVS
    ^ '$Header: /cvs/stx/stx/libtool/Tools__GenericToolbox.st,v 1.1 2014-02-24 16:10:46 vrany Exp $'
! !

